'use strict';

var capiV2 = require('./utils/capi-v2');

module.exports = function(opts) {
	var by = opts.by;
	if (!by && opts.uuid) {
		by = 'http://api.ft.com/things/' + opts.uuid;
	}

	var count = opts.count || 10;
	return capiV2({
		path: '/content?isAnnotatedBy=' + by
			+ (opts.authority ? '&authority=' + opts.authority : '')
			+ (opts.bindings ? '&bindings=' + opts.authority : ''),
		type: 'ContentAnnotatedBy'
	})
		.then(function(articles) {
			return articles.content.slice(0, count).map(function(article) {
				return article.apiUrl.replace('http://api.ft.com/content/', '');
			});
		})
		.then(function(articles) {
			articles.indexCount = articles.length;
			return articles;
		});
};
