'use strict';

var eagerFetch = require('./utils/eager-fetch');
var fetchres = require('fetchres');
var logger = require('ft-next-logger');

module.exports = function(opts) {
	var uuid = opts.uuid;

	return eagerFetch('http://api.ft.com/site/v1/pages/' + uuid + '/main-content', {
			timeout: 3000,
			headers: {
				'X-Api-Key': process.env.apikey
			}
		})
			.then(function(response) {
				if (!response.ok) {
					logger.warn('Failed getting CAPIv1 page response', {
						uuid: uuid,
						type: 'Article',
						status: response.status
					});
				}
				return response;
			})
			.then(fetchres.json)
			.then(function(page) {
				var items = page.pageItems.map(function(article) {
					return article.id;
				});
				items.title = page.page.title;
				return items;
			});
};
