"use strict";

var fetchres = require('fetchres');
var logger = require('ft-next-logger');
var eagerFetch = require('./eager-fetch');
var apiFtComAgent = require('./api-ft-com-agent');

module.exports = function(opts) {
	var uuid = opts.uuid;
	var bodyFormat = opts.bodyFormat;

	return eagerFetch('http://api.ft.com/content/items/v1/' + uuid + '?feature.blogposts=on&bodyFormat=' + bodyFormat, {
			timeout: 3000,
			headers: {
				'X-Api-Key': process.env.api2key
			},
			agent: apiFtComAgent
		})
			.then(function(response) {
				if (!response.ok) {
					logger.warn('Failed getting CAPIv1 response', {
						uuid: uuid,
						type: 'Article',
						status: response.status
					});
				}
				return response;
			})
			.then(fetchres.json);
};
