"use strict";

var fetchres = require('fetchres');
var logger = require('ft-next-logger');
var eagerFetch = require('./eager-fetch');
var apiFtComAgent = require('./api-ft-com-agent');

module.exports = function(opts) {
	var uuid = opts.uuid;
	var path = opts.path;
	var type = opts.type;
	var retry = opts.retry;

	return eagerFetch('http://api.ft.com' + path, {
			timeout: 3000,
			headers: {
				'X-Api-Key': process.env.api2key
			},
			retry: retry,
			agent: apiFtComAgent
		})
			.then(function(response) {
				if (!response.ok) {
					logger.warn('Failed getting CAPIv2 response', {
						uuid: uuid,
						type: type,
						status: response.status
					});
				}
				return response;
			})
			.then(fetchres.json);
};
