'use strict';

var catchNetworkErrors = require('./catch-network-errors');
var logger = require('ft-next-logger');

module.exports = function(url, opts) {
	var retriesLeft = opts.retry === undefined ? 3 : opts.retry;
	opts.retry = undefined;
	opts.keepAlive = true;

	function fetchAttempt() {
		return fetch(url, opts)
			.catch(catchNetworkErrors)
			.then(function(response) {
				if (!response.ok && retriesLeft > 0) {
					logger.info("Failed to fetch " + url + " but have " + retriesLeft + " remaining so retrying");
					retriesLeft--;
					return fetchAttempt();
				}
				return response;
			});
	}

	return fetchAttempt();
};
