/*global describe, it*/
'use strict';

require('es6-promise').polyfill();
GLOBAL.fetch = require('node-fetch');
var api = require('../main');

var nock = require('nock');
var chai = require('chai');
var chaiAsPromised = require('chai-as-promised');
chai.use(chaiAsPromised);
require('chai').should();

describe('Mapping', function () {

	it('should return content', function () {
		nock('https://next-v1tov2-mapping-dev.herokuapp.com')
			.get('/concordance_mapping_v1tov2/organisation/7340cdc8-968e-11e4-a83c-00144feabdc0')
			.reply(200, require('./fixtures/mapping/apple'));

		return api.mapping('7340cdc8-968e-11e4-a83c-00144feabdc0', 'organisation')
			.then(function (organisation) {
				organisation.id.should.equal('http://api.ft.com/things/2384fa7a-d514-3d6a-a0ea-3a711f66d0d8');
			});
	});

	it('should throw error if no mapping', function () {
		nock('https://next-v1tov2-mapping-dev.herokuapp.com')
			.get('/concordance_mapping_v1tov2/organisation/bad-id')
			.reply(200, require('./fixtures/mapping/bad-id'));

		return api.mapping('bad-id', 'organisation').should.be.rejectedWith('Mapping doesn‘t exist');
	});

});
